Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 785)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 786)
@@ -89,7 +89,7 @@
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.rcp.editors.input.QueryIndexEditorInput;
-import org.txm.searchengine.cqp.CQPEngine;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -369,7 +369,7 @@
 						System.out.println(e.getLocalizedMessage());
 						try {
 							System.out.println(TXMUIMessages.LastCQPError
-									+ CQPEngine.getCqiClient().getLastCQPError());
+									+ CQPSearchEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(IndexUIMessages.IndexEditor_10
 									+ e1);
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginesManager.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginesManager.java	(revision 785)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEnginesManager.java	(revision 786)
@@ -9,6 +9,7 @@
  * @author mdecorde
  *
  */
+//FIXME: useless class, the type and priority/order should be defined in org.txm.core.engines.EnginesManager extension point
 public class SearchEnginesManager extends EnginesManager<SearchEngine> {
 
 	/**
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 785)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 786)
@@ -2,6 +2,7 @@
 
 import org.txm.core.engines.Engine;
 
+// FIXME: useless class
 public abstract class SearchEngine implements Engine {
 
 	public static final String EXTENSION_POINT_ID = SearchEngine.class.getCanonicalName();
